## DROP USERGROUP Statement (drop_usergroup_statement)

The DROP USERGROUP statement (drop_usergroup_statement) drops a user group definition. The metadata of the user group to be dropped is dropped from the database catalog.

### Syntax

<drop_usergroup_statement> ::= DROP USERGROUP <usergroup_name> [<cascade_option>]

### Explanation

The current database user must have owner authorization over the user group to be dropped.

The database users in this user group must not be logged on to the database system when the DROP USERGROUP statement is executed.

#### <cascade_option>

· If the user group to be dropped is the owner of synonyms or tables, and if the CASCADE option RESTRICT was specified, the DROP USERGROUP statement fails.

· If no cascade option or the cascade option CASCADE was specified, all the synonyms and tables of the user group to be dropped, as well as all indexes, privileges, view tables, and so on based on these objects, are dropped together with the user group.